import { ElementRef, OnChanges } from '@angular/core';
import { EventsService } from '../services/events.service';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class ColorDirective implements OnChanges {
    private el;
    private eventService;
    bgColor?: string;
    constructor(el: ElementRef, eventService: EventsService);
    ngOnChanges(): void;
    colorSubscription?: Subscription;
    ngOnDestroy(): void;
    applyColor(): void;
    bgColorChangeCheck(): void;
    getTextColor(): "#000000" | "#ffffff" | "#ffffff;";
    static ɵfac: i0.ɵɵFactoryDeclaration<ColorDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ColorDirective, "[simpoColor]", never, { "bgColor": { "alias": "simpoColor"; "required": false; }; }, {}, never, never, true, never>;
}
